      Subroutine mixup (bn,bnf,rt,ait,nif1)
c *** see RH Landau, Program lpott, 1981
c     mixup calls pion, nucleon or kaon mix to for partial waves
c     from eigen channel amplitudes
      Implicit  Real*8   (a-h,o-z)
      Dimension bn(16), bnf(16), rt(14), ait(14)
      n = nif1+1
      GoTo (10,10,10,10,10,30,10,20,20,30), n
 10   Call pimix (bn,bnf,rt,ait)
      Return
 20   Call kmixup (bn,bnf,rt,ait)
      Return
c     protons not in this version
 30   STOP
      End
